<?php

error_reporting(0); 
require_once("db.php");

$idprod = addslashes($_GET['idprod']);
$dispversion = addslashes($_GET['dispversion']);
$acum1med = addslashes($_GET['acum1']);
$acum2med = addslashes($_GET['acum2']);
$acum3med = addslashes($_GET['acum3']);
$acum4med = addslashes($_GET['acum4']);
$creditos = "SC";
$servidor = "OFF";
$lastversion = 0;
$destrava = 0;
$id_ponto = 0;
$sorteado = "NA";
$data_sorteio;
$minutos = 0;
$creditos = 0;

date_default_timezone_set('America/Sao_Paulo');
$agora = date ('Y-m-d H:i:s');
mysql_query ("UPDATE tablet SET ultimo_contato = '$agora' WHERE idprod = '$idprod'");


// Botao de Panico
$queryp = "SELECT ligado, destrava, lastversion, id_ponto, creditos FROM tablet WHERE ligado = 1 AND idprod = '".$idprod."' ";
$resultp = mysql_query($queryp) or die(mysql_error());
$row = mysql_fetch_array($resultp);

if(mysql_num_rows($resultp) == 0){
    $servidor = "OFF";
} else{
    $servidor = "ON";
    $lastversion = $row['lastversion'];
	$destrava = $row['destrava'];
	$id_ponto = $row['id_ponto'];
	$creditos = $row['creditos'];
	
	//SOLUÇÃO DE TESTE
	//mysql_query ("UPDATE jogador SET creditos = '$creditos',data = '$agora' WHERE idprod = '$idprod'");
	
	
	// Não deixar dois dispositivos logado ao mesmo tempo pelo Jogador
$queryj = "SELECT id FROM jogador WHERE idprod = '".$idprod."' ";
$resultj = mysql_query($queryj) or die(mysql_error());
$rowj = mysql_fetch_array($resultj);

if(mysql_num_rows($resultj) == 0){
    $servidor = "OFF";
	$sql = mysql_query("UPDATE tablet SET ligado = 0 WHERE idprod = '$idprod'") or die(mysql_error());
}
	
}

if ($lastversion == $dispversion){
    $sql = mysql_query("UPDATE tablet SET acum1med =  '$acum1med' ,acum2med =  '$acum2med' ,acum3med =  '$acum3med',acum4med =  '$acum4med' WHERE idprod = '$idprod'") or die(mysql_error());
}

// Verificar Sorteado do Ponto
//$querySort = "SELECT dispositivo_sorteado, data_sorteio FROM ponto WHERE id='".$id_ponto."' ";
//$resultSort = mysql_query($querySort) or die(mysql_error());

//$rowSort = mysql_fetch_array($resultSort);

//$data_sorteio = $rowSort['data_sorteio'];

//$data1 = new DateTime($agora);
//$data2 = new DateTime($data_sorteio);

//$intervalo = $data1->diff( $data2 );

//$minutos = $intervalo->i;


//if ($minutos >= 10){
//	$sql = mysql_query("UPDATE ponto SET dispositivo_sorteado =  '$idprod' ,data_sorteio =  '$agora' WHERE id = '$id_ponto'") or die(mysql_error());
//}

//$sorteado = $rowSort['dispositivo_sorteado'];



// Creditos recebido para ser inseridos
$query = "SELECT id, status, valor FROM creditos WHERE idprod='".$idprod."' ORDER BY data DESC LIMIT 1";
$result = mysql_query($query) or die(mysql_error());

$row = mysql_fetch_array($result);


if(mysql_num_rows($result) == 0 || $row['status'] == 0){
    $creditos = "SC";
}else {
	$creditos = $row['valor'];
	$query = "UPDATE creditos SET status='0' WHERE idprod='".$idprod."'";
	mysql_query($query) or die(mysql_error());
}

        echo $creditos."#"
            .$servidor."#"
            .$lastversion."#"
			.$destrava."#"
			.$idprod."#Brazil#";
	
?>
